package com.bytedance.android.live.publicscreen.api;

import X.AnonymousClass0CH;
import X.AnonymousClass10H;
import X.AnonymousClass10I;
import X.AnonymousClass10J;
import X.AnonymousClass10Y;
import X.C25370zn;
import X.C25390zp;
import X.C255410e;
import X.C255710h;
import X.C36471cb;
import X.GiH;
import X.GjM;
import X.GuA;
import X.Lel;
import X.M12;
import android.content.Context;
import android.widget.TextView;
import com.bytedance.android.live.base.model.user.User;
import com.bytedance.android.livesdk.model.message.BottomMessage;
import com.bytedance.android.livesdk.model.message.ChatMessage;
import com.bytedance.android.livesdk.model.message.PunishEventInfo;
import com.bytedance.android.livesdk.model.message.common.Text;
import com.bytedance.android.livesdkapi.depend.model.live.Room;
import com.bytedance.covode.number.Covode;
import com.bytedance.ies.sdk.datachannel.DataChannel;
import com.bytedance.ies.sdk.widgets.LiveRecyclableWidget;
import java.util.List;

public class PublicScreenServiceDummy implements IPublicScreenService {
    static {
        Covode.recordClassIndex(9748);
    }

    public void addOnRegistryReadyListener(C255410e r1) {
        M12.LIZ(r1);
    }

    public void clearMockChatMessage() {
    }

    public C36471cb convert(GuA guA) {
        return null;
    }

    public C25390zp createGameMessageView(Context context, int i, AnonymousClass10H r4, C25370zn r5, DataChannel dataChannel) {
        M12.LIZ(context, r5, dataChannel);
        return null;
    }

    public void enter(AnonymousClass0CH r1, DataChannel dataChannel, Room room) {
        M12.LIZ(r1);
    }

    public Class<? extends LiveRecyclableWidget> getCommitPinWidget() {
        return null;
    }

    public BottomMessage getCurrentBottomMessage(long j) {
        return null;
    }

    public Class<? extends IPublicScreenWidget> getExtendedPublicScreenWidget() {
        return null;
    }

    public Class<? extends LiveRecyclableWidget> getExtendedScreenFilterWidget() {
        return null;
    }

    public AnonymousClass10H getGiftHistoryManager(DataChannel dataChannel) {
        M12.LIZ(dataChannel);
        return null;
    }

    public AnonymousClass10I getGiftHistoryWidgetHelper(AnonymousClass0CH r2, DataChannel dataChannel, TextView textView, GjM gjM, int i, int i2, AnonymousClass10J r8) {
        M12.LIZ(r2, dataChannel, textView, gjM, r8);
        return null;
    }

    public long getHotDuration(long j) {
        return 0;
    }

    public AnonymousClass10Y getNewMessageListener(DataChannel dataChannel) {
        M12.LIZ(dataChannel);
        return null;
    }

    public Class<? extends IPublicScreenWidget> getPublicScreenWidgetClass(boolean z) {
        return null;
    }

    public Long getStartStreamingTimestamp(long j) {
        return null;
    }

    public C255710h getTextMessageConfig() {
        return null;
    }

    public void hideWarningMessage(long j) {
    }

    public void insertBottomMessage(long j, String str, Text text, long j2, PunishEventInfo punishEventInfo, int i, int i2, int i3) {
    }

    public long insertMessage(long j, GuA guA, boolean z) {
        M12.LIZ(guA);
        return 0;
    }

    public long insertModel(long j, C36471cb r5) {
        M12.LIZ(r5);
        return 0;
    }

    public long insertModel(long j, C36471cb r5, boolean z) {
        M12.LIZ(r5);
        return 0;
    }

    public void leave(DataChannel dataChannel, Room room) {
    }

    public ChatMessage mockChatMessage(long j, String str, User user, int i, GiH giH) {
        return null;
    }

    public void onInit() {
    }

    public void onPlayFragmentCreate() {
    }

    public void onStartStreaming(long j) {
    }

    public void onStopStreaming(long j) {
    }

    public void pin(long j, GuA guA) {
        M12.LIZ(guA);
    }

    public void preloadBroadcastLayout() {
    }

    public void removeModelByToken(long j, long j2) {
    }

    public void removeOnRegistryReadyListener(C255410e r1) {
        M12.LIZ(r1);
    }

    public void resetDuration(long j) {
    }

    public boolean textDropShadow(boolean z) {
        return false;
    }

    public void updateGameMessageLikeCount(String str) {
        M12.LIZ(str);
    }

    public void updateGameMessageViewUserCount(int i) {
    }

    public void updateMessage(long j, long j2, GuA guA) {
        M12.LIZ(guA);
    }

    public void updateModel(long j, C36471cb r3) {
        M12.LIZ(r3);
    }

    public List<C255410e> getOnRegistryReadyListeners() {
        return Lel.INSTANCE;
    }
}
